summaryrefslogtreecommitdiff
path: root/tools
diff options
context:
space:
mode:
Diffstat (limited to 'tools')
-rw-r--r--tools/env/fw_env.config2
-rw-r--r--tools/ncb.c2
-rwxr-xr-xtools/netconsole42
3 files changed, 44 insertions, 2 deletions
diff --git a/tools/env/fw_env.config b/tools/env/fw_env.config
index 0fe37c959a3..c8f12cf0afe 100644
--- a/tools/env/fw_env.config
+++ b/tools/env/fw_env.config
@@ -1,5 +1,5 @@
# Configuration file for fw_(printenv/saveenv) utility.
-# Up to two entries are valid, in this case the redundand
+# Up to two entries are valid, in this case the redundant
# environment sector is assumed present.
# Notice, that the "Number of sectors" is ignored on NOR.
diff --git a/tools/ncb.c b/tools/ncb.c
index 74deebb6528..7e123f163db 100644
--- a/tools/ncb.c
+++ b/tools/ncb.c
@@ -8,7 +8,7 @@ int main (int argc, char *argv[])
int s, len, o, port = 6666;
char buf[512];
struct sockaddr_in addr;
- int addr_len = sizeof addr;
+ socklen_t addr_len = sizeof addr;
if (argc > 1)
port = atoi (argv[1]);
diff --git a/tools/netconsole b/tools/netconsole
new file mode 100755
index 00000000000..09c89816829
--- /dev/null
+++ b/tools/netconsole
@@ -0,0 +1,42 @@
+#!/bin/sh
+
+usage() {
+ (
+ echo "Usage: $0 <board IP> [board port]"
+ echo ""
+ echo "If port is not specified, '6666' will be used"
+ [ -z "$*" ] && exit 0
+ echo ""
+ echo "ERROR: $*"
+ exit 1
+ ) 1>&2
+ exit $?
+}
+
+while [ -n "$1" ] ; do
+ case $1 in
+ -h|--help) usage;;
+ --) break;;
+ -*) usage "Invalid option $1";;
+ *) break;;
+ esac
+ shift
+done
+
+ip=$1
+port=${2:-6666}
+
+if [ -z "${ip}" ] || [ -n "$3" ] ; then
+ usage "Invalid number of arguments"
+fi
+
+for nc in netcat nc ; do
+ type ${nc} >/dev/null && break
+done
+
+trap "stty icanon echo intr ^C" 0 2 3 5 10 13 15
+echo "NOTE: the interrupt signal (normally ^C) has been remapped to ^T"
+
+stty -icanon -echo intr ^T
+${nc} -u -l -p ${port} < /dev/null &
+exec ${nc} -u ${ip} ${port}